Generation Framework

## org.eclipse.gmf.mappings
Enum Severity

    java.lang.Object
      java.lang.Enum<Severity>
          org.eclipse.gmf.mappings.Severity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Severity>, org.eclipse.emf.common.util.Enumerator

    public enum Severity

extends java.lang.Enum<Severity>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Severity', and utility methods for working with them.

See Also:
  `GMFMapPackage.getSeverity()`
** Generated **
Model:

Enum Constant Summary
`ERROR_LITERAL` The 'ERROR' literal object
`INFO_LITERAL` The 'INFO' literal object
`WARNING_LITERAL` The 'WARNING' literal object

Field Summary
`static int` `ERROR` The 'ERROR' literal value
`static int` `INFO` The 'INFO' literal value
`static java.util.List<Severity>` `VALUES` A public read-only list of all the 'Severity' enumerators
`static int` `WARNING` The 'WARNING' literal value

Method Summary
`static Severity` `get(int value)` Returns the 'Severity' literal with the specified integer value
`static Severity` `get(java.lang.String literal)` Returns the 'Severity' literal with the specified literal value
`static Severity` `getByName(java.lang.String name)` Returns the 'Severity' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static Severity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Severity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFO_LITERAL

    public static final Severity INFO_LITERAL

  The 'INFO' literal object.

  See Also:
    `INFO`
  ** Generated **
  Ordered:

### WARNING_LITERAL

    public static final Severity WARNING_LITERAL

  The 'WARNING' literal object.

  See Also:
    `WARNING`
  ** Generated **
  Ordered:

### ERROR_LITERAL

    public static final Severity ERROR_LITERAL

  The 'ERROR' literal object.

  See Also:
    `ERROR`
  ** Generated **
  Ordered:

Field Detail

### INFO

    public static final int INFO

  The 'INFO' literal value.

  If the meaning of 'INFO' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INFO_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### WARNING

    public static final int WARNING

  The 'WARNING' literal value.

  If the meaning of 'WARNING' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WARNING_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ERROR

    public static final int ERROR

  The 'ERROR' literal value.

  If the meaning of 'ERROR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ERROR_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<Severity> VALUES

  A public read-only list of all the 'Severity' enumerators.

  ** Generated **

Method Detail

### values

    public static Severity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Severity c : Severity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Severity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static Severity get(java.lang.String literal)

  Returns the 'Severity' literal with the specified literal value.

  ** Generated **

### getByName

    public static Severity getByName(java.lang.String name)

  Returns the 'Severity' literal with the specified name.

  ** Generated **

### get

    public static Severity get(int value)

  Returns the 'Severity' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<Severity>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.